﻿#language: ru

@OPC_hands

@ignore

Функционал: 06_OPC_hands.01.006 Установка нормативов плотности

Сценарий: 06_OPC_hands.01.006 Создание Вида анализа плотности
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Виды анализов номенклатуры'
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Вид анализа номенклатуры (создание)'
	И в поле 'Наименование' я ввожу текст 'Плотность ОПС'
	И в таблице "Показатели" я нажимаю на кнопку с именем 'ПоказателиДобавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид анализа номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид анализа номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я закрываю окно 'Виды анализов номенклатуры'

Сценарий: 06_OPC_hands.01.006 Установка нормативов плотности
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры. Установка норматива'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание)'
	И в таблице "Нормативы" я нажимаю на кнопку с именем 'НормативыДобавить'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сливки'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я активизирую поле "Вид анализа"
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Плотность ОПС'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я активизирую поле "Показатель"
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я активизирую поле "Вид"
	И в таблице "Нормативы" из выпадающего списка "Вид" я выбираю точное значение 'Равно'
	И в таблице "Нормативы" в поле 'Значение' я ввожу текст '1,200'
	И в таблице "Нормативы" я нажимаю на кнопку с именем 'НормативыДобавить'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Плотность ОПС' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" из выпадающего списка "Вид" я выбираю точное значение 'Равно'
	И в таблице "Нормативы" в поле 'Значение' я ввожу текст '1,200'
	И в таблице "Нормативы" я нажимаю на кнопку с именем 'НормативыДобавить'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Молоко'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Плотность ОПС' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" из выпадающего списка "Вид" я выбираю точное значение 'Равно'
	И в таблице "Нормативы" в поле 'Значение' я ввожу текст '1,020'
	И в поле 'от' я ввожу текст '11.05.2019  0:00:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры. Установка норматива (создание) *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива'
	И Я закрываю окно 'Анализы номенклатуры. Установка норматива'

Сценарий: 06_OPC_hands.01.006 Привязка вида анализа к Сливкам
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сливки'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сливки (Номенклатура)'
	И я перехожу к закладке "Дополнительно"
	И у поля "Виды анализов качественных показателей (0)" я нажимаю гиперссылку 'Виды анализов качественных показателей (0)'
	Тогда открылось окно 'Виды анализов позиции номенклатуры Сливки'
	И в таблице "ВидыАнализов" я нажимаю на кнопку с именем 'ВидыАнализовДобавить'
	И в таблице "ВидыАнализов" я нажимаю кнопку выбора у реквизита с именем "ВидыАнализовВидАнализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Плотность ОПС' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Виды анализов позиции номенклатуры Сливки *'
	И Я закрываю окно 'Виды анализов позиции номенклатуры Сливки *'
	Тогда открылось окно 'Сливки (Номенклатура)'
	И Я закрываю окно 'Сливки (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'